<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div class="container">
 *
 * @package Peti Care
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php echo esc_url( get_bloginfo( 'pingback_url' ) ); ?>">
<?php endif; ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php
	if ( function_exists( 'wp_body_open' ) ) {
		wp_body_open();
	} else {
		do_action( 'wp_body_open' );
	}
?>
<a class="skip-link screen-reader-text" href="#TabNavigator">
<?php esc_html_e('Skip to content', 'peti-care' ); ?>
</a>
<?php
$peti_care_show_phonebx_bottomonslider 	   	= esc_attr( get_theme_mod('peti_care_show_phonebx_bottomonslider', false) );
$peti_care_show_hdinfodetails 	   	= esc_attr( get_theme_mod('peti_care_show_hdinfodetails', false) );  
$peti_care_show_homeslide_sections 	  		= esc_attr( get_theme_mod('peti_care_show_homeslide_sections', false) );
$peti_care_show_4column_services_sections      	= esc_attr( get_theme_mod('peti_care_show_4column_services_sections', false) );
$peti_care_show_welcometoinsurer_section      	= esc_attr( get_theme_mod('peti_care_show_welcometoinsurer_section', false) );
?>
<div id="SiteWrapper" <?php if( get_theme_mod( 'peti_care_layoutoption' ) ) { echo 'class="boxlayout"'; } ?>>
<?php
if ( is_front_page() && !is_home() ) {
	if( !empty($peti_care_show_homeslide_sections)) {
	 	$innerpage_cls = '';
	}
	else {
		$innerpage_cls = 'innerpage_header';
	}
}
else {
$innerpage_cls = 'innerpage_header';
}
?>

<div id="masthead" class="site-header <?php echo esc_attr($innerpage_cls); ?> "> 
      <?php if( $peti_care_show_hdinfodetails != ''){ ?> 
        <div class="hdr-topstrip"> 
          <div class="container">
                  <div class="left">           
                    <?php $email = get_theme_mod('peti_care_emailid');
                        if( !empty($email) ){ ?>                
                        <div class="hdrtop-Info">
                            <i class="far fa-envelope"></i>
                            <a href="<?php echo esc_url('mailto:'.sanitize_email($email)); ?>"><?php echo sanitize_email($email); ?></a>
                        </div>            
                    <?php } ?>
                </div>
             
                <div class="right <?php if( esc_attr( get_theme_mod( 'peti_care_requestaquotebtnlink' )) ) { ?>space250<?php } ?>">               
                    <div class="hdrsocial">                                                
					   <?php $peti_care_facebooklink = get_theme_mod('peti_care_facebooklink');
                        if( !empty($peti_care_facebooklink) ){ ?>
                        <a class="fab fa-facebook-f" target="_blank" href="<?php echo esc_url($peti_care_facebooklink); ?>"></a>
                       <?php } ?>
                    
                       <?php $peti_care_twitterlink = get_theme_mod('peti_care_twitterlink');
                        if( !empty($peti_care_twitterlink) ){ ?>
                        <a class="fab fa-twitter" target="_blank" href="<?php echo esc_url($peti_care_twitterlink); ?>"></a>
                       <?php } ?>
                
                      <?php $peti_care_linkedinlink = get_theme_mod('peti_care_linkedinlink');
                        if( !empty($peti_care_linkedinlink) ){ ?>
                        <a class="fab fa-linkedin" target="_blank" href="<?php echo esc_url($peti_care_linkedinlink); ?>"></a>
                      <?php } ?> 
                      
                      <?php $peti_care_instagramlink = get_theme_mod('peti_care_instagramlink');
                        if( !empty($peti_care_instagramlink) ){ ?>
                        <a class="fab fa-instagram" target="_blank" href="<?php echo esc_url($peti_care_instagramlink); ?>"></a>
                      <?php } ?> 
                  </div><!--end .hdrsocial--> 
                </div> 
               
               <?php
                $peti_care_requestaquotebtn = get_theme_mod('peti_care_requestaquotebtn');
                if( !empty($peti_care_requestaquotebtn) ){ ?>        
                <?php $peti_care_requestaquotebtnlink = get_theme_mod('peti_care_requestaquotebtnlink');
                if( !empty($peti_care_requestaquotebtnlink) ){ ?>              
                    <div class="quotebtn">
                        <h4><a target="_blank" href="<?php echo esc_url($peti_care_requestaquotebtnlink); ?>">
                        <i class="far fa-comment-alt"></i> <?php echo esc_html($peti_care_requestaquotebtn); ?>            
                        </a></h4>
                    </div>                 
                <?php }} ?> 
               
            <div class="clear"></div>              
         </div><!--end .container-->   
        </div><!-- .hdr-topstrip --> 
      <?php } ?>
       <div class="container">       
        <div class="logo">
           <?php peti_care_the_custom_logo(); ?>
            <div class="site_branding">
                <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo('name'); ?></a></h1>
                <?php $description = get_bloginfo( 'description', 'display' );
                if ( $description || is_customize_preview() ) : ?>
                    <p><?php echo esc_html($description); ?></p>
                <?php endif; ?>
            </div>
         </div><!-- logo --> 
         
          <div class="RightNavMenu"> 
             <div id="navigationpanel"> 
                 <nav id="main-navigation" class="site-navigation" role="navigation" aria-label="Primary Menu">
                    <button type="button" class="menu-toggle">
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <?php
                    wp_nav_menu( array(
                        'theme_location' => 'primary',
                        'menu_id'        => 'primary-menu',
                        'menu_class'     => 'nav-menu',
                    ) );
                    ?>
                </nav><!-- #main-navigation -->  
            </div><!-- #navigationpanel -->   
          </div><!-- .RightNavMenu --> 
         <div class="clear"></div>   
      </div><!-- .container -->           
 <div class="clear"></div> 
</div><!--.site-header --> 
 
<?php 
if ( is_front_page() && !is_home() ) {
if($peti_care_show_homeslide_sections != '') {
	for($i=1; $i<=3; $i++) {
	  if( get_theme_mod('peti_care_homeslidepage'.$i,false)) {
		$slider_Arr[] = absint( get_theme_mod('peti_care_homeslidepage'.$i,true));
	  }
	}
?> 
<div class="HomepageSlider">              
<?php if(!empty($slider_Arr)){ ?>
<div id="slider" class="nivoSlider">
<?php 
$i=1;
$slidequery = new WP_Query( array( 'post_type' => 'page', 'post__in' => $slider_Arr, 'orderby' => 'post__in' ) );
while( $slidequery->have_posts() ) : $slidequery->the_post();
$image = wp_get_attachment_url( get_post_thumbnail_id($post->ID)); 
$thumbnail_id = get_post_thumbnail_id( $post->ID );
$alt = get_post_meta($thumbnail_id, '_wp_attachment_image_alt', true); 
?>
<?php if(!empty($image)){ ?>
<img src="<?php echo esc_url( $image ); ?>" title="#slidecaption<?php echo esc_attr( $i ); ?>" alt="<?php echo esc_attr($alt); ?>" />
<?php }else{ ?>
<img src="<?php echo esc_url( get_template_directory_uri() ) ; ?>/images/slides/slider-default.jpg" title="#slidecaption<?php echo esc_attr( $i ); ?>" alt="<?php echo esc_attr($alt); ?>" />
<?php } ?>
<?php $i++; endwhile; ?>
</div>   

<?php 
$j=1;
$slidequery->rewind_posts();
while( $slidequery->have_posts() ) : $slidequery->the_post(); ?>                 
    <div id="slidecaption<?php echo esc_attr( $j ); ?>" class="nivo-html-caption">         
     <h2><?php the_title(); ?></h2>
     <p><?php $excerpt = get_the_excerpt(); echo esc_html( peti_care_string_limit_words( $excerpt, esc_attr(get_theme_mod('peti_care_excerpt_length_homeslide','0')))); ?></p>
		<?php
        $peti_care_homeslidepage_btntext = get_theme_mod('peti_care_homeslidepage_btntext');
        if( !empty($peti_care_homeslidepage_btntext) ){ ?>
            <a class="slidermorebtn" href="<?php the_permalink(); ?>"><?php echo esc_html($peti_care_homeslidepage_btntext); ?></a>
        <?php } ?>                  
    </div>   
<?php $j++; 
endwhile;
wp_reset_postdata(); ?>   
<?php } ?>
</div><!-- .HomepageSlider -->    
<?php } } ?> 

<?php if ( is_front_page() && ! is_home() ) { ?> 
 
 <?php if( $peti_care_show_phonebx_bottomonslider != ''){ ?>  
   <?php
    $peti_care_slidephoneno = get_theme_mod('peti_care_slidephoneno');
    if( !empty($peti_care_slidephoneno) ){ ?>
            <div class="container"> 
                <div class="slidePhoneSt">				
                    <div class="phoneicon"><i class="fas fa-phone fa-rotate-90"></i></div> 
						<?php
                        $peti_care_shorttextofphone = get_theme_mod('peti_care_shorttextofphone');
                        if( !empty($peti_care_shorttextofphone) ){ ?>
                        <span><?php echo esc_html($peti_care_shorttextofphone); ?></span>
                        <?php } ?> 
                    
                        <h2><?php echo esc_html($peti_care_slidephoneno); ?></h2>
                </div> 
            </div><!-- .container -->
     <?php } ?>
   <?php } ?>
    
  <?php if( $peti_care_show_welcometoinsurer_section != ''){ ?>  
    <section id="PageSections-1">
    <div class="container">                               
		<?php 
        if( get_theme_mod('peti_care_welcomepage',false)) {     
        $queryvar = new WP_Query('page_id='.absint(get_theme_mod('peti_care_welcomepage',true)) );			
            while( $queryvar->have_posts() ) : $queryvar->the_post(); ?>            
              <div class="welcome-leftBX">
                <?php the_post_thumbnail();?>   
              </div>              
              <div class="welcome-rightBX">
			    <h3><?php the_title(); ?></h3>
                <?php
					$peti_care_secondtitle = get_theme_mod('peti_care_secondtitle');
					if( !empty($peti_care_secondtitle) ){ ?>
					<h2 class="sub_title"><?php echo esc_html($peti_care_secondtitle); ?></h2>
                <?php } ?>
                <?php the_content();  ?>      
            </div>                                          
            <?php endwhile;
             wp_reset_postdata(); ?>                                    
            <?php } ?>                                 
      <div class="clear"></div>                       
     </div><!-- .container -->
    </section><!-- #welcome_section-->
 <?php } ?>  
    		
 
 <?php if( $peti_care_show_4column_services_sections != ''){ ?> 
   <section id="PageSections-2">
     <div class="container"> 
			<?php
                $peti_care_lefttitle = get_theme_mod('peti_care_lefttitle');
                if( !empty($peti_care_lefttitle) ){ ?>
                <div class="left-column-50">
                    <h2><?php echo esc_html($peti_care_lefttitle); ?></h2>
                 </div>   
            <?php } ?>
            
            <?php
                $peti_care_shortdescription = get_theme_mod('peti_care_shortdescription');
                if( !empty($peti_care_shortdescription) ){ ?>
                <div class="right-column-50">
                    <p><?php echo esc_html($peti_care_shortdescription); ?></p>
                </div>
            <?php } ?>
            <div class="clear"></div>          
     
          <?php 
                for($n=1; $n<=4; $n++) {    
                if( get_theme_mod('peti_care_4pagebx'.$n,false)) {      
                    $queryvar = new WP_Query('page_id='.absint(get_theme_mod('peti_care_4pagebx'.$n,true)) );		
                    while( $queryvar->have_posts() ) : $queryvar->the_post(); ?>     
                     <div class="grid4BX <?php if($n % 4 == 0) { echo "last_column"; } ?>">   
							 <?php if(has_post_thumbnail() ) { ?>
                                <div class="icon-lx">
                                  <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>                                
                                </div>        
                             <?php } ?>
                                <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4> 
                                <p><?php $excerpt = get_the_excerpt(); echo esc_html( peti_care_string_limit_words( $excerpt, esc_attr(get_theme_mod('peti_care_4column_excerpt_length','10')))); ?></p> 
                                <a class="more-bgbtn" href="<?php the_permalink(); ?>"></a>
                      </div>
                    <?php endwhile;
                    wp_reset_postdata();                                  
                } } ?>                                 
               <div class="clear"></div>  
      </div><!-- .container -->
    </section><!-- #PageSections-2 -->
  <?php } ?>   

<?php } ?>